/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package net.util;

public class Proxy {
	
	private int port;
	private String host;
	
	private static Proxy noProxy=new Proxy(null, -1);
	
	private Proxy(String host,int port) {
		this.host=host;
		this.port=port;
	}
	
	public String getHost() {
		return host;
	}
	
	public int getPort() {
		return port;
	}
	
	public static Proxy httpProxy(String host,int port)  {
		return new Proxy(host,port);
	}
	
	public static Proxy noProxy() {
		return noProxy;
	}
}
